Get Top Trader Long/Short Account Ratio
Get the ratio of accounts holding long versus short positions among top traders for a futures symbol over a specified time period.
HTTP Request
GET /api/v1/future/market/top-trader-account-long-short
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| symbol | string | Yes | Trading pair symbol (e.g., BTCUSDT) |
| period | string | Yes | Time period: "5m", "15m", "30m", "1h", "2h", "4h", "6h", "8h", "12h", "1d" |
Request Example
curl -X GET "https://open-api.bydoxe.com/api/v1/future/market/top-trader-account-long-short?symbol=BTCUSDT&period=1h"
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| code | string | Response code |
| msg | string | Response message |
| requestTime | number | Request timestamp in milliseconds |
| data | array | Array of long/short account ratio data |
| > longAccountRatio | string | Percentage of top trader accounts with long positions |
| > shortAccountRatio | string | Percentage of top trader accounts with short positions |
| > longShortAccountRatio | string | Ratio of long accounts to short accounts |
| > ts | string | Timestamp in milliseconds (Unix timestamp) |
Response Example
Success Response
{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"longAccountRatio": "0.51",
"shortAccountRatio": "0.49",
"longShortAccountRatio": "1.04",
"ts": "1732000123456"
}
]
}
Error Codes
| Code | Message |
|---|---|
| 40034 | symbol does not exist |
| 40034 | period does not exist |
| 50010 | Upstream response invalid |